Jump to content
  • 0

MCU Protocol Error After Finally Able to Connect to Moonraker


Shadow2
 Share

Question

My Voron 2.4v1 Was sitting unused for about 7 months and after logging in i updated everything including Moonraker..After All was done i got a message" Cannot connect to Moonraker (192.168.0.20)

I downloaded moonraker config file and this is what i got...Printer ran flawless prior to update..i have been away from Klipper firmware for a while now and tried few things but still no go..it also gives me this message 

 

If this message appears repeatedly, please have a look in the log file located at:

  • ~/klipper_logs/moonraker.log
  • /tmp/moonraker.log

 

 

I'm using Octopus Pro With 2209's and rasp pie 4 

[server]

 

host = 0.0.0.0
port = 7125
enable_debug_logging = False
config_path = /home/pi/klipper_config
log_path = ~/klipper_logs

[authorization]
cors_domains = 
   https://my.mainsail.xyz
   http://my.mainsail.xyz
    http://*.local
    http://*.lan
trusted_clients = 
    10.0.0.0/8
    127.0.0.0/8
    169.254.0.0/16
    172.16.0.0/12
    192.168.0.0/16
    192.168.0.20
    FE80::/10
    ::1/128

[octoprint_compat]

[history]

[update_manager]

[update_manager mainsail]
type = web
repo = meteyou/mainsail
path = ~/mainsail

#################################################################
All Configuration Files:
/home/pi/klipper_config/moonraker.conf
#################################################################
2022-12-01 04:50:38,480 [moonraker.py:add_warning()] - [server]: Option 'enable_debug_logging' is deprecated, see the configuration documention at https://moonraker.readthedocs.io/en/latest/configuration/
2022-12-01 04:50:38,493 [app.py:register_local_handler()] - Registering HTTP Endpoint: (GET) /server/info
2022-12-01 04:50:38,494 [websockets.py:register_api_handler()] - Registering Websocket JSON-RPC methods: server.info
2022-12-01 04:50:38,494 [app.py:register_local_handler()] - Registering HTTP Endpoint: (GET) /server/config
2022-12-01 04:50:38,494 [websockets.py:register_api_handler()] - Registering Websocket JSON-RPC methods: server.config
2022-12-01 04:50:38,494 [app.py:register_local_handler()] - Registering HTTP Endpoint: (POST) /server/restart
2022-12-01 04:50:38,494 [websockets.py:register_api_handler()] - Registering Websocket JSON-RPC methods: server.restart
2022-12-01 04:50:38,497 [moonraker.py:load_component()] - Unable to load component: (dbus_manager)
Traceback (most recent call last):
  File "/home/pi/moonraker/moonraker/moonraker.py", line 250, in load_component
    module = importlib.import_module("components." + component_name)
  File "/home/pi/moonraker-env/lib/python3.7/importlib/__init__.py", line 127, in import_module
    return _bootstrap._gcd_import(name[level:], package, level)
  File "<frozen importlib._bootstrap>", line 1006, in _gcd_import
  File "<frozen importlib._bootstrap>", line 983, in _find_and_load
  File "<frozen importlib._bootstrap>", line 967, in _find_and_load_unlocked
  File "<frozen importlib._bootstrap>", line 677, in _load_unlocked
  File "<frozen importlib._bootstrap_external>", line 728, in exec_module
  File "<frozen importlib._bootstrap>", line 219, in _call_with_frames_removed
  File "/home/pi/moonraker/moonraker/components/dbus_manager.py", line 10, in <module>
    import dbus_next
ModuleNotFoundError: No module named 'dbus_next'
2022-12-01 04:50:38,497 [moonraker.py:main()] - Moonraker Error
Traceback (most recent call last):
  File "/home/pi/moonraker/moonraker/moonraker.py", line 250, in load_component
    module = importlib.import_module("components." + component_name)
  File "/home/pi/moonraker-env/lib/python3.7/importlib/__init__.py", line 127, in import_module
    return _bootstrap._gcd_import(name[level:], package, level)
  File "<frozen importlib._bootstrap>", line 1006, in _gcd_import
  File "<frozen importlib._bootstrap>", line 983, in _find_and_load
  File "<frozen importlib._bootstrap>", line 967, in _find_and_load_unlocked
  File "<frozen importlib._bootstrap>", line 677, in _load_unlocked
  File "<frozen importlib._bootstrap_external>", line 728, in exec_module
  File "<frozen importlib._bootstrap>", line 219, in _call_with_frames_removed
  File "/home/pi/moonraker/moonraker/components/dbus_manager.py", line 10, in <module>
    import dbus_next
ModuleNotFoundError: No module named 'dbus_next'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/home/pi/moonraker/moonraker/moonraker.py", line 503, in main
    server.load_components()
  File "/home/pi/moonraker/moonraker/moonraker.py", line 231, in load_components
    self.load_component(config, component)
  File "/home/pi/moonraker/moonraker/moonraker.py", line 262, in load_component
    raise ServerError(msg)
utils.ServerError: Unable to load component: (dbus_manager)
2022-12-01 04:50:38,498 [moonraker.py:main()] - Server Shutdown
 

 

 

Edited by Shadow2
Link to comment
Share on other sites

5 answers to this question

Recommended Posts

  • 0

I was able to do workaround with following 

 

cd ~/moonraker
git pull
./scripts/install-moonraker.sh -r

 

But Now have some updating to do i assume

 

MCU Protocol error

This is frequently caused by running an older version of the
firmware on the MCU(s). Fix by recompiling and flashing the
firmware.

Your Klipper version is: v0.10.0-636-gc51f169c
MCU(s) which should be updated:
mcu: Current version v0.10.0-220-g608cd38d
rpi: Current version v0.10.0-271-g8b0c6fcb
Up-to-date MCU(s):
<none>

Once the underlying issue is corrected, use the "RESTART"
command to reload the config and restart the host software.

mcu 'mcu': Unable to extract params from: config_spi

 

 

Link to comment
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Answer this question...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

 Share

×
×
  • Create New...